SUBS-FOREST(1)

NAME
subs-forest.pl - Subsample forest (multiple trees) files (and restore ids)

VERSION
version 0.212670

USAGE
    subs-forest.pl <infiles> [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input forest files [repeatable argument].

OPTIONAL ARGUMENTS

--in[-strip]=<str>
    Substring(s) to strip from infile basenames before attempting to derive other infile (e.g., IDM files) and outfile names [default: none].

--out[-suffix]=<suffix>
    Suffix to append to infile basenames for deriving outfile names [default: none]. When not specified, outfile names are taken from infiles but original infiles are preserved by being appended a .bak suffix.

--map-ids
    Sequence id mapping switch [default: no]. When specified, sequence ids are restored from the corresponding IDM files.

-x <burnin> [<every> [<until>]]
    Forest subsampling scheme [default: 0 1 Inf]. This option follows PhyloBayes' "bpcomp" and "readpb" usage.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.